﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using WebApplication85.Models;

namespace WebApplication85
{
	public partial class WebForm1 : System.Web.UI.Page
	{
		private CC_DbContext db = new CC_DbContext();

		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				var query = db.Countries.OrderBy(c => c.Name);

				DropDownListPanstwa.DataSource = query.ToList();
				DropDownListPanstwa.DataTextField = "Name";
				DropDownListPanstwa.DataValueField = "CountryID";
				DropDownListPanstwa.DataBind();
			}
		}

		public override void Dispose()
		{
			base.Dispose();

			db.Dispose();
		}

		protected void ButtonPanstwoWybierz_Click(object sender, EventArgs e)
		{
			int countryID = int.Parse(DropDownListPanstwa.SelectedValue);

			var query = db.Cities.Where(c => c.CountryID == countryID).
				OrderBy(c => c.Name);

			//var query = from c in db.Cities
			//			where c.CountryID == countryID
			//			orderby c.Name
			//			select c;

			DropDownListMiasta.DataSource = query.ToList();
			DropDownListMiasta.DataTextField = "Name";
			DropDownListMiasta.DataValueField = "CityID";
			DropDownListMiasta.DataBind();
		}

		protected void ButtonMiastoWybierz_Click(object sender, EventArgs e)
		{
			TextBoxNazwa.Text = DropDownListMiasta.SelectedItem.Text;
		}

		protected void ButtonZapisz_Click(object sender, EventArgs e)
		{
			City city;

			city = db.Cities.Find(int.Parse(DropDownListMiasta.SelectedValue));

			city.Name = TextBoxNazwa.Text;
			db.SaveChanges();

			TextBoxNazwa.Text = "";
			ButtonPanstwoWybierz_Click(sender, e);
		}

		protected void ButtonDodaj_Click(object sender, EventArgs e)
		{
			City city;

			city = new City();
			city.Name = TextBoxNazwa.Text;
			city.CountryID = int.Parse(DropDownListPanstwa.SelectedValue);

			db.Cities.Add(city);
			db.SaveChanges();

			TextBoxNazwa.Text = "";
			ButtonPanstwoWybierz_Click(sender, e);
		}

		protected void ButtonUsun_Click(object sender, EventArgs e)
		{
			City city;

			city = db.Cities.Find(int.Parse(DropDownListMiasta.SelectedValue));
			db.Cities.Remove(city);
			db.SaveChanges();

			ButtonPanstwoWybierz_Click(sender, e);
		}
	}
}